LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Fields
lives_omc_match_node_t Struct Reference

`#include <omc-learn.h>`

## Data Fields
char * | srch
| string to match More...
int | macro
| macro number this is linked to (or -1) More...
int | nvars
| number of params More...
int * | offs0
| offs to add to params before scale More...
double * | scale
| scale for params More...
int * | offs1
| offs to add to params after scale More...
int * | min
| min values of params More...
int * | max
| max values of params More...
boolean * | matchp
| do we need to match this pval ? More...
int * | matchi
| match value More...
int * | map
| reverse mapping to params of OSC message More...
int * | fvali
| mapping to fixed ints More...
double * | fvald
| mapping to fixed doubles More...
LiVESWidget * | treev1
LiVESWidget * | treev2
LiVESTreeStore * | gtkstore
LiVESTreeStore * | gtkstore2
int * | tmpvals

## Field Documentation

double* lives_omc_match_node_t::fvald

mapping to fixed doubles

int* lives_omc_match_node_t::fvali

mapping to fixed ints

LiVESTreeStore* lives_omc_match_node_t::gtkstore

LiVESTreeStore* lives_omc_match_node_t::gtkstore2

int lives_omc_match_node_t::macro

macro number this is linked to (or -1)

int* lives_omc_match_node_t::map

reverse mapping to params of OSC message

int* lives_omc_match_node_t::matchi

match value

boolean* lives_omc_match_node_t::matchp

do we need to match this pval ?

int* lives_omc_match_node_t::max

max values of params

int* lives_omc_match_node_t::min

min values of params

int lives_omc_match_node_t::nvars

number of params

int* lives_omc_match_node_t::offs0

offs to add to params before scale

int* lives_omc_match_node_t::offs1

offs to add to params after scale

double* lives_omc_match_node_t::scale

scale for params

char* lives_omc_match_node_t::srch

string to match

int* lives_omc_match_node_t::tmpvals

LiVESWidget* lives_omc_match_node_t::treev1

LiVESWidget* lives_omc_match_node_t::treev2

The documentation for this struct was generated from the following file:

- src/omc-learn.h